apply plugin: 'com.android.application'
android {
    compileSdk 34
    defaultConfig {
        applicationId "com.example.administrator.zhapp"
        minSdk 24
        targetSdk 34
        versionCode 1
        versionName "2.2.7"
        multiDexEnabled true
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        //每个应用拥有不同的authorities，防止相同的在同一个手机上无法同时安装
        resValue "string", "authorities", applicationId
        resourceConfigurations += ['zh', 'en', 'hdpi']
    }
    buildFeatures {
        buildConfig = true
    }
    signingConfigs {
        release {
            keyAlias 'key0'
            storeFile file('../key/keystore1')
            storePassword 'abc123123'
            keyPassword 'abc123123'
            v1SigningEnabled true   //是否开启V1签名
            v2SigningEnabled true   //是否开启V2签名
        }
    }
    buildTypes {
        debug {
            minifyEnabled false
            buildConfigField "boolean", "LOG_ERROR", "true"
        }
        release {
            lintOptions {
                checkReleaseBuilds false
                abortOnError false
            }
            minifyEnabled false
            zipAlignEnabled true // 对齐zip
            debuggable false // 是否debug
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "boolean", "LOG_ERROR", "false"
            signingConfig signingConfigs.release // 打包签名信息
            //修改生成的apk名字
            android.applicationVariants.all { variant ->
                variant.outputs.all {
                    outputFileName = "PMMAPP.apk"
                }
            }
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    namespace 'com.example.administrator.zhapp'
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation files('libs/zxing.jar')
    implementation files('libs/ZSDK_API.jar')
    implementation files('libs/axis.jar')
    implementation files('libs/ksoap2-android-assembly-3.6.0-jar-with-dependencies.jar')
    implementation files('libs/MiPush_SDK_Client_3_2_2.jar')
    implementation files('libs/gson-2.8.6.jar')
    implementation 'com.tencent.bugly:crashreport:3.2.1'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'com.zhy:autolayout:1.4.5'
    implementation 'com.yolanda.nohttp:nohttp:1.0.5'
    implementation 'org.litepal.android:core:1.5.1'
    implementation 'com.orhanobut:logger:2.2.0'
    implementation 'com.squareup.okhttp3:logging-interceptor:5.0.0-alpha.2'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.yanzhenjie:permission:1.0.8'
    implementation 'com.github.chrisbanes.photoview:library:1.2.4'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    implementation 'com.github.baoyachi:StepView:1.9'
    implementation 'io.github.azhon:appupdate:4.2.6'
    configurations {
        all*.exclude group: 'com.google.code.gson'
    }
    testImplementation 'junit:junit:4.13.2'
}